package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.ListOfValueImpMapper;
import com.link.base.basic.model.ListOfValue;
import com.link.base.user.model.CoreUser;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.model.CallParam;
import com.link.core.basic.service.BasicServiceException;
import com.link.core.basic.service.BasicServiceImpl;
import com.link.core.util.UserUtil;
import javax.annotation.Resource;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class ListOfValueImpServiceImpl extends BasicServiceImpl<ListOfValue> implements ListOfValueImpService {
   @Resource
   private ListOfValueImpMapper listOfValueImpMapper;
   private static final Logger logger = LogManager.getLogger(JobLogServiceImpl.class);

   public BasicMapper<ListOfValue> getBasicMapper() {
      return this.listOfValueImpMapper;
   }

   @Transactional(
      rollbackFor = {BasicServiceException.class}
   )
   public void runListOfValueCheck(CallParam record) throws BasicServiceException {
      try {
         CoreUser user = UserUtil.getUser();
         record.setParam1(user.getId());
         this.listOfValueImpMapper.runListOfValueCheck(record);
      } catch (Exception var3) {
         Exception e = var3;
         logger.error("ListOfValueImpServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }

   @Transactional(
      rollbackFor = {BasicServiceException.class}
   )
   public void runNewListOfValueImport(CallParam record) throws BasicServiceException {
      try {
         CoreUser user = UserUtil.getUser();
         record.setParam1(user.getId());
         this.listOfValueImpMapper.runListOfValueCheck(record);
         this.listOfValueImpMapper.runNewListOfValueImport(record);
      } catch (Exception var3) {
         Exception e = var3;
         logger.error("ListOfValueImpServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }
}
